libnvme(2)

NAME
enum nbft_desc_type - NBFT Elements - Descriptor Types (Figure 5)

SYNOPSIS
enum nbft_desc_type {
NBFT_DESC_HEADER ,
NBFT_DESC_CONTROL ,
NBFT_DESC_HOST ,
NBFT_DESC_HFI ,
NBFT_DESC_SSNS ,
NBFT_DESC_SECURITY ,
NBFT_DESC_DISCOVERY ,
NBFT_DESC_HFI_TRINFO ,
NBFT_DESC_RESERVED_8 ,
NBFT_DESC_SSNS_EXT_INFO

};

Constants

NBFT_DESC_HEADER
    Header: an ACPI structure header with some additional NBFT specific info.

NBFT_DESC_CONTROL
    Control Descriptor: indicates the location of host, HFI, SSNS, security, and discovery descriptors.

NBFT_DESC_HOST
    Host Descriptor: host information.

NBFT_DESC_HFI
    HFI Descriptor: an indexable table of HFI Descriptors, one for each fabric interface on the host.

NBFT_DESC_SSNS
    Subsystem Namespace Descriptor: an indexable table of SSNS Descriptors.

NBFT_DESC_SECURITY
    Security Descriptor: an indexable table of Security descriptors.

NBFT_DESC_DISCOVERY
    Discovery Descriptor: an indexable table of Discovery Descriptors.

NBFT_DESC_HFI_TRINFO
    HFI Transport Descriptor: indicated by an HFI Descriptor, corresponds to a specific transport for a single HFI.

NBFT_DESC_RESERVED_8
    Reserved.

NBFT_DESC_SSNS_EXT_INFO
    SSNS Extended Info Descriptor: indicated by an SSNS Descriptor if required.